Switch to side-by-side view

--- a/tests/runtests.sh
+++ b/tests/runtests.sh
@@ -10,6 +10,37 @@
 if test ! x$reroot = x ; then
     rerootResults
 fi
+
+iscmd()
+{
+    cmd=$1
+    case $cmd in
+    */*)
+	if test -x $cmd -a ! -d $cmd ; then return 0; else return 1; fi ;;
+    *)
+      oldifs=$IFS; IFS=":"; set -- $PATH; IFS=$oldifs
+      for d in $*;do test -x $d/$cmd -a ! -d $d/$cmd && \
+          iscmdresult=$d/$cmd && return 0;done
+      return 1 ;;
+    esac
+}
+
+checkcmds()
+{
+    result=0
+    for cmd in $*;do
+      if iscmd $cmd 
+      then 
+        echo $cmd is $iscmdresult
+      else 
+        echo $cmd not found
+        result=1
+      fi
+    done
+    return $result
+}
+
+checkcmds recollq recollindex pxattr xadump || exit 1
 
 makeindex() {
   echo "Zeroing Index"